Skip to content

Delete Source Registry

DELETE
/api/v1/container_registry/registries/{source_registry_id}/
curl --request DELETE \
--url 'https://api.e2enetworks.com/myaccount/api/v1/container_registry/registries/{source_registry_id}/?cr_project_id=<CR_PROJECT_ID>&project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'
source_registry_id
required
integer

Source Registry ID

cr_project_id
required
integer
project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Registry deleted successfully.

Media typeapplication/json
object
code
integer
data
object
errors
object
key
additional properties
message
string

Example

{
"code": 200,
"data": {},
"errors": {},
"message": "Registry Deleted Successfully"
}

Registry deletion failed due to active replication policy.

Media typeapplication/json
object
code
integer
data
object
errors
string
message
string

Example

{
"code": 400,
"data": {},
"errors": "Registry cannot be deleted since it is a part of a replication policy.",
"message": "Bad Request"
}